Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# ACE_Pair< T1, T2 > Class Template Reference

Defines a pair. More...

`#include <Pair_T.h>`

Inheritance diagram for ACE_Pair< T1, T2 >:

[legend]
Collaboration diagram for ACE_Pair< T1, T2 >:

[legend]
List of all members.

## Public Types
typedef T1 | first_type
typedef T2 | second_type
## Public Methods
| ACE_Pair (const T1 &t1, const T2 &t2)
| Constructor.
| ACE_Pair (void)
| Default constructor.
T1 & | first (void)
| Get first.
const T1 & | first (void) const
void | first (const T1 &t1)
| Set first.
T2 & | second (void)
| Get second.
const T2 & | second (void) const
void | second (const T2 &t2)
| Set second.
int | operator== (const ACE_Pair< T1, T2 > &rhs) const
## Protected Attributes
T1 | first_
| First.
T2 | second_
| Second.

## Detailed Description

### template<class T1, class T2>
class ACE_Pair< T1, T2 >

Defines a pair.

Similar to the STL pair.

## Member Typedef Documentation

template<class T1, class T2>
typedef T1 ACE_Pair< T1, T2 >::first_type

template<class T1, class T2>
typedef T2 ACE_Pair< T1, T2 >::second_type

## Constructor & Destructor Documentation

template<class T1, class T2>
ACE_INLINE ACE_Pair< T1, T2 >::ACE_Pair | ( | const T1 & | t1,
|  | const T2 & | t2
| ) |

| Constructor.

template<class T1, class T2>
ACE_INLINE ACE_Pair< T1, T2 >::ACE_Pair | ( | void |  | ) |

| Default constructor.

## Member Function Documentation

template<class T1, class T2>
ACE_INLINE void ACE_Pair< T1, T2 >::first | ( | const T1 & | t1 | ) |

| Set first.

template<class T1, class T2>
ACE_INLINE const T1 & ACE_Pair< T1, T2 >::first | ( | void |  | ) | const

template<class T1, class T2>
ACE_INLINE T1 & ACE_Pair< T1, T2 >::first | ( | void |  | ) |

| Get first.

template<class T1, class T2>
ACE_INLINE int ACE_Pair< T1, T2 >::operator== | ( | const ACE_Pair< T1, T2 > & | rhs | ) | const

template<class T1, class T2>
ACE_INLINE void ACE_Pair< T1, T2 >::second | ( | const T2 & | t2 | ) |

| Set second.

template<class T1, class T2>
ACE_INLINE const T2 & ACE_Pair< T1, T2 >::second | ( | void |  | ) | const

template<class T1, class T2>
ACE_INLINE T2 & ACE_Pair< T1, T2 >::second | ( | void |  | ) |

| Get second.

## Member Data Documentation

template<class T1, class T2>
T1 ACE_Pair< T1, T2 >::first_`[protected]`

| First.

template<class T1, class T2>
T2 ACE_Pair< T1, T2 >::second_`[protected]`

| Second.

The documentation for this class was generated from the following files:

- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Pair_T.h
- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Pair_T.i